GroovyParser.ClassDeclarationContext (Groovy 4.0.15)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ClassDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.ClassDeclarationContext

-     public static class GroovyParser.ClassDeclarationContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.TypeListContext` | `is` |
    `GroovyParser.TypeListContext` | `ps` |
    `GroovyParser.TypeListContext` | `scs` |
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassDeclarationContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AT()`
    `` | `public TerminalNode` | `CLASS()`
    `` | `public TerminalNode` | `ENUM()`
    `` | `public TerminalNode` | `EXTENDS()`
    `` | `public TerminalNode` | `IMPLEMENTS()`
    `` | `public TerminalNode` | `INTERFACE()`
    `` | `public TerminalNode` | `PERMITS()`
    `` | `public TerminalNode` | `RECORD()`
    `` | `public TerminalNode` | `TRAIT()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.ClassBodyContext` | `classBody()`
    `` | `public GroovyParser.FormalParametersContext` | `formalParameters()`
    `` | `public int` | `getRuleIndex()`
    `` | `public GroovyParser.IdentifierContext` | `identifier()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public List<? extends TypeListContext>` | `typeList()`
    `` | `public GroovyParser.TypeListContext` | `typeList(int i)`
    `` | `public GroovyParser.TypeParametersContext` | `typeParameters()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.TypeListContext is

    - #### public GroovyParser.TypeListContext ps

    - #### public GroovyParser.TypeListContext scs

    - #### public int t

  - ### Constructor Detail

    - #### public ClassDeclarationContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode AT()

    - #### public TerminalNode CLASS()

    - #### public TerminalNode ENUM()

    - #### public TerminalNode EXTENDS()

    - #### public TerminalNode IMPLEMENTS()

    - #### public TerminalNode INTERFACE()

    - #### public TerminalNode PERMITS()

    - #### public TerminalNode RECORD()

    - #### public TerminalNode TRAIT()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.ClassBodyContext classBody()

    - #### public GroovyParser.FormalParametersContext formalParameters()

    - #### @Override
      public int getRuleIndex()

    - #### public GroovyParser.IdentifierContext identifier()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public List<? extends TypeListContext> typeList()

    - #### public GroovyParser.TypeListContext typeList(int i)

    - #### public GroovyParser.TypeParametersContext typeParameters()